<template>
  <div>
    <h1>Home</h1>
    <router-link to="/about"> About 5</router-link>
    <router-link to="/login"> tests</router-link>
    <h1>{{ getApiData }}</h1>
  </div>
</template>
<script>
export default {
  name: "Home",
  computed: {
    getApiData() {
      return this.$store.state.HomeModule.testData;
    },
  },
  serverPrefetch() {
    // return the Promise from the action
    // so that the component waits before rendering
    return this.callGetData();
  },
  mounted() {
    if (!this.getApiData) this.callGetData();
  },
  methods: {
    async callGetData() {
      return await this.$store.dispatch("HomeModule/callGetData", true);
    },
  },
};
</script>
